// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: resourcemodule/resourcemodule.proto

package openfmb.resourcemodule;

/**
 * <pre>
 * Resource event module
 * </pre>
 *
 * Protobuf type {@code resourcemodule.ResourceEventProfile}
 */
public final class ResourceEventProfile extends
    com.google.protobuf.GeneratedMessageV3 implements
    // @@protoc_insertion_point(message_implements:resourcemodule.ResourceEventProfile)
    ResourceEventProfileOrBuilder {
private static final long serialVersionUID = 0L;
  // Use ResourceEventProfile.newBuilder() to construct.
  private ResourceEventProfile(com.google.protobuf.GeneratedMessageV3.Builder<?> builder) {
    super(builder);
  }
  private ResourceEventProfile() {
  }

  @java.lang.Override
  @SuppressWarnings({"unused"})
  protected java.lang.Object newInstance(
      UnusedPrivateParameter unused) {
    return new ResourceEventProfile();
  }

  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return openfmb.resourcemodule.Resourcemodule.internal_static_resourcemodule_ResourceEventProfile_descriptor;
  }

  @java.lang.Override
  protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return openfmb.resourcemodule.Resourcemodule.internal_static_resourcemodule_ResourceEventProfile_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            openfmb.resourcemodule.ResourceEventProfile.class, openfmb.resourcemodule.ResourceEventProfile.Builder.class);
  }

  public static final int EVENTMESSAGEINFO_FIELD_NUMBER = 1;
  private openfmb.commonmodule.EventMessageInfo eventMessageInfo_;
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return Whether the eventMessageInfo field is set.
   */
  @java.lang.Override
  public boolean hasEventMessageInfo() {
    return eventMessageInfo_ != null;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   * @return The eventMessageInfo.
   */
  @java.lang.Override
  public openfmb.commonmodule.EventMessageInfo getEventMessageInfo() {
    return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
  }
  /**
   * <pre>
   * UML inherited base object
   * </pre>
   *
   * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.EventMessageInfoOrBuilder getEventMessageInfoOrBuilder() {
    return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
  }

  public static final int CONDUCTINGEQUIPMENT_FIELD_NUMBER = 2;
  private openfmb.commonmodule.ConductingEquipment conductingEquipment_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the conductingEquipment field is set.
   */
  @java.lang.Override
  public boolean hasConductingEquipment() {
    return conductingEquipment_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The conductingEquipment.
   */
  @java.lang.Override
  public openfmb.commonmodule.ConductingEquipment getConductingEquipment() {
    return conductingEquipment_ == null ? openfmb.commonmodule.ConductingEquipment.getDefaultInstance() : conductingEquipment_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.commonmodule.ConductingEquipmentOrBuilder getConductingEquipmentOrBuilder() {
    return conductingEquipment_ == null ? openfmb.commonmodule.ConductingEquipment.getDefaultInstance() : conductingEquipment_;
  }

  public static final int RESOURCEEVENT_FIELD_NUMBER = 3;
  private openfmb.resourcemodule.ResourceEvent resourceEvent_;
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return Whether the resourceEvent field is set.
   */
  @java.lang.Override
  public boolean hasResourceEvent() {
    return resourceEvent_ != null;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   * @return The resourceEvent.
   */
  @java.lang.Override
  public openfmb.resourcemodule.ResourceEvent getResourceEvent() {
    return resourceEvent_ == null ? openfmb.resourcemodule.ResourceEvent.getDefaultInstance() : resourceEvent_;
  }
  /**
   * <pre>
   * MISSING DOCUMENTATION!!!
   * </pre>
   *
   * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  @java.lang.Override
  public openfmb.resourcemodule.ResourceEventOrBuilder getResourceEventOrBuilder() {
    return resourceEvent_ == null ? openfmb.resourcemodule.ResourceEvent.getDefaultInstance() : resourceEvent_;
  }

  private byte memoizedIsInitialized = -1;
  @java.lang.Override
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  @java.lang.Override
  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    if (eventMessageInfo_ != null) {
      output.writeMessage(1, getEventMessageInfo());
    }
    if (conductingEquipment_ != null) {
      output.writeMessage(2, getConductingEquipment());
    }
    if (resourceEvent_ != null) {
      output.writeMessage(3, getResourceEvent());
    }
    getUnknownFields().writeTo(output);
  }

  @java.lang.Override
  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    if (eventMessageInfo_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, getEventMessageInfo());
    }
    if (conductingEquipment_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(2, getConductingEquipment());
    }
    if (resourceEvent_ != null) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(3, getResourceEvent());
    }
    size += getUnknownFields().getSerializedSize();
    memoizedSize = size;
    return size;
  }

  @java.lang.Override
  public boolean equals(final java.lang.Object obj) {
    if (obj == this) {
     return true;
    }
    if (!(obj instanceof openfmb.resourcemodule.ResourceEventProfile)) {
      return super.equals(obj);
    }
    openfmb.resourcemodule.ResourceEventProfile other = (openfmb.resourcemodule.ResourceEventProfile) obj;

    if (hasEventMessageInfo() != other.hasEventMessageInfo()) return false;
    if (hasEventMessageInfo()) {
      if (!getEventMessageInfo()
          .equals(other.getEventMessageInfo())) return false;
    }
    if (hasConductingEquipment() != other.hasConductingEquipment()) return false;
    if (hasConductingEquipment()) {
      if (!getConductingEquipment()
          .equals(other.getConductingEquipment())) return false;
    }
    if (hasResourceEvent() != other.hasResourceEvent()) return false;
    if (hasResourceEvent()) {
      if (!getResourceEvent()
          .equals(other.getResourceEvent())) return false;
    }
    if (!getUnknownFields().equals(other.getUnknownFields())) return false;
    return true;
  }

  @java.lang.Override
  public int hashCode() {
    if (memoizedHashCode != 0) {
      return memoizedHashCode;
    }
    int hash = 41;
    hash = (19 * hash) + getDescriptor().hashCode();
    if (hasEventMessageInfo()) {
      hash = (37 * hash) + EVENTMESSAGEINFO_FIELD_NUMBER;
      hash = (53 * hash) + getEventMessageInfo().hashCode();
    }
    if (hasConductingEquipment()) {
      hash = (37 * hash) + CONDUCTINGEQUIPMENT_FIELD_NUMBER;
      hash = (53 * hash) + getConductingEquipment().hashCode();
    }
    if (hasResourceEvent()) {
      hash = (37 * hash) + RESOURCEEVENT_FIELD_NUMBER;
      hash = (53 * hash) + getResourceEvent().hashCode();
    }
    hash = (29 * hash) + getUnknownFields().hashCode();
    memoizedHashCode = hash;
    return hash;
  }

  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input);
  }
  public static openfmb.resourcemodule.ResourceEventProfile parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageV3
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  @java.lang.Override
  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(openfmb.resourcemodule.ResourceEventProfile prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  @java.lang.Override
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * <pre>
   * Resource event module
   * </pre>
   *
   * Protobuf type {@code resourcemodule.ResourceEventProfile}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageV3.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:resourcemodule.ResourceEventProfile)
      openfmb.resourcemodule.ResourceEventProfileOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return openfmb.resourcemodule.Resourcemodule.internal_static_resourcemodule_ResourceEventProfile_descriptor;
    }

    @java.lang.Override
    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return openfmb.resourcemodule.Resourcemodule.internal_static_resourcemodule_ResourceEventProfile_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              openfmb.resourcemodule.ResourceEventProfile.class, openfmb.resourcemodule.ResourceEventProfile.Builder.class);
    }

    // Construct using openfmb.resourcemodule.ResourceEventProfile.newBuilder()
    private Builder() {

    }

    private Builder(
        com.google.protobuf.GeneratedMessageV3.BuilderParent parent) {
      super(parent);

    }
    @java.lang.Override
    public Builder clear() {
      super.clear();
      bitField0_ = 0;
      eventMessageInfo_ = null;
      if (eventMessageInfoBuilder_ != null) {
        eventMessageInfoBuilder_.dispose();
        eventMessageInfoBuilder_ = null;
      }
      conductingEquipment_ = null;
      if (conductingEquipmentBuilder_ != null) {
        conductingEquipmentBuilder_.dispose();
        conductingEquipmentBuilder_ = null;
      }
      resourceEvent_ = null;
      if (resourceEventBuilder_ != null) {
        resourceEventBuilder_.dispose();
        resourceEventBuilder_ = null;
      }
      return this;
    }

    @java.lang.Override
    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return openfmb.resourcemodule.Resourcemodule.internal_static_resourcemodule_ResourceEventProfile_descriptor;
    }

    @java.lang.Override
    public openfmb.resourcemodule.ResourceEventProfile getDefaultInstanceForType() {
      return openfmb.resourcemodule.ResourceEventProfile.getDefaultInstance();
    }

    @java.lang.Override
    public openfmb.resourcemodule.ResourceEventProfile build() {
      openfmb.resourcemodule.ResourceEventProfile result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    @java.lang.Override
    public openfmb.resourcemodule.ResourceEventProfile buildPartial() {
      openfmb.resourcemodule.ResourceEventProfile result = new openfmb.resourcemodule.ResourceEventProfile(this);
      if (bitField0_ != 0) { buildPartial0(result); }
      onBuilt();
      return result;
    }

    private void buildPartial0(openfmb.resourcemodule.ResourceEventProfile result) {
      int from_bitField0_ = bitField0_;
      if (((from_bitField0_ & 0x00000001) != 0)) {
        result.eventMessageInfo_ = eventMessageInfoBuilder_ == null
            ? eventMessageInfo_
            : eventMessageInfoBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000002) != 0)) {
        result.conductingEquipment_ = conductingEquipmentBuilder_ == null
            ? conductingEquipment_
            : conductingEquipmentBuilder_.build();
      }
      if (((from_bitField0_ & 0x00000004) != 0)) {
        result.resourceEvent_ = resourceEventBuilder_ == null
            ? resourceEvent_
            : resourceEventBuilder_.build();
      }
    }

    @java.lang.Override
    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof openfmb.resourcemodule.ResourceEventProfile) {
        return mergeFrom((openfmb.resourcemodule.ResourceEventProfile)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(openfmb.resourcemodule.ResourceEventProfile other) {
      if (other == openfmb.resourcemodule.ResourceEventProfile.getDefaultInstance()) return this;
      if (other.hasEventMessageInfo()) {
        mergeEventMessageInfo(other.getEventMessageInfo());
      }
      if (other.hasConductingEquipment()) {
        mergeConductingEquipment(other.getConductingEquipment());
      }
      if (other.hasResourceEvent()) {
        mergeResourceEvent(other.getResourceEvent());
      }
      this.mergeUnknownFields(other.getUnknownFields());
      onChanged();
      return this;
    }

    @java.lang.Override
    public final boolean isInitialized() {
      return true;
    }

    @java.lang.Override
    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      if (extensionRegistry == null) {
        throw new java.lang.NullPointerException();
      }
      try {
        boolean done = false;
        while (!done) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              done = true;
              break;
            case 10: {
              input.readMessage(
                  getEventMessageInfoFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000001;
              break;
            } // case 10
            case 18: {
              input.readMessage(
                  getConductingEquipmentFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000002;
              break;
            } // case 18
            case 26: {
              input.readMessage(
                  getResourceEventFieldBuilder().getBuilder(),
                  extensionRegistry);
              bitField0_ |= 0x00000004;
              break;
            } // case 26
            default: {
              if (!super.parseUnknownField(input, extensionRegistry, tag)) {
                done = true; // was an endgroup tag
              }
              break;
            } // default:
          } // switch (tag)
        } // while (!done)
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.unwrapIOException();
      } finally {
        onChanged();
      } // finally
      return this;
    }
    private int bitField0_;

    private openfmb.commonmodule.EventMessageInfo eventMessageInfo_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder> eventMessageInfoBuilder_;
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return Whether the eventMessageInfo field is set.
     */
    public boolean hasEventMessageInfo() {
      return ((bitField0_ & 0x00000001) != 0);
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     * @return The eventMessageInfo.
     */
    public openfmb.commonmodule.EventMessageInfo getEventMessageInfo() {
      if (eventMessageInfoBuilder_ == null) {
        return eventMessageInfo_ == null ? openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
      } else {
        return eventMessageInfoBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventMessageInfo(openfmb.commonmodule.EventMessageInfo value) {
      if (eventMessageInfoBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        eventMessageInfo_ = value;
      } else {
        eventMessageInfoBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder setEventMessageInfo(
        openfmb.commonmodule.EventMessageInfo.Builder builderForValue) {
      if (eventMessageInfoBuilder_ == null) {
        eventMessageInfo_ = builderForValue.build();
      } else {
        eventMessageInfoBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder mergeEventMessageInfo(openfmb.commonmodule.EventMessageInfo value) {
      if (eventMessageInfoBuilder_ == null) {
        if (((bitField0_ & 0x00000001) != 0) &&
          eventMessageInfo_ != null &&
          eventMessageInfo_ != openfmb.commonmodule.EventMessageInfo.getDefaultInstance()) {
          getEventMessageInfoBuilder().mergeFrom(value);
        } else {
          eventMessageInfo_ = value;
        }
      } else {
        eventMessageInfoBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000001;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public Builder clearEventMessageInfo() {
      bitField0_ = (bitField0_ & ~0x00000001);
      eventMessageInfo_ = null;
      if (eventMessageInfoBuilder_ != null) {
        eventMessageInfoBuilder_.dispose();
        eventMessageInfoBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventMessageInfo.Builder getEventMessageInfoBuilder() {
      bitField0_ |= 0x00000001;
      onChanged();
      return getEventMessageInfoFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    public openfmb.commonmodule.EventMessageInfoOrBuilder getEventMessageInfoOrBuilder() {
      if (eventMessageInfoBuilder_ != null) {
        return eventMessageInfoBuilder_.getMessageOrBuilder();
      } else {
        return eventMessageInfo_ == null ?
            openfmb.commonmodule.EventMessageInfo.getDefaultInstance() : eventMessageInfo_;
      }
    }
    /**
     * <pre>
     * UML inherited base object
     * </pre>
     *
     * <code>.commonmodule.EventMessageInfo eventMessageInfo = 1 [(.uml.option_parent_message) = true];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder> 
        getEventMessageInfoFieldBuilder() {
      if (eventMessageInfoBuilder_ == null) {
        eventMessageInfoBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.EventMessageInfo, openfmb.commonmodule.EventMessageInfo.Builder, openfmb.commonmodule.EventMessageInfoOrBuilder>(
                getEventMessageInfo(),
                getParentForChildren(),
                isClean());
        eventMessageInfo_ = null;
      }
      return eventMessageInfoBuilder_;
    }

    private openfmb.commonmodule.ConductingEquipment conductingEquipment_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ConductingEquipment, openfmb.commonmodule.ConductingEquipment.Builder, openfmb.commonmodule.ConductingEquipmentOrBuilder> conductingEquipmentBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the conductingEquipment field is set.
     */
    public boolean hasConductingEquipment() {
      return ((bitField0_ & 0x00000002) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The conductingEquipment.
     */
    public openfmb.commonmodule.ConductingEquipment getConductingEquipment() {
      if (conductingEquipmentBuilder_ == null) {
        return conductingEquipment_ == null ? openfmb.commonmodule.ConductingEquipment.getDefaultInstance() : conductingEquipment_;
      } else {
        return conductingEquipmentBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setConductingEquipment(openfmb.commonmodule.ConductingEquipment value) {
      if (conductingEquipmentBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        conductingEquipment_ = value;
      } else {
        conductingEquipmentBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setConductingEquipment(
        openfmb.commonmodule.ConductingEquipment.Builder builderForValue) {
      if (conductingEquipmentBuilder_ == null) {
        conductingEquipment_ = builderForValue.build();
      } else {
        conductingEquipmentBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeConductingEquipment(openfmb.commonmodule.ConductingEquipment value) {
      if (conductingEquipmentBuilder_ == null) {
        if (((bitField0_ & 0x00000002) != 0) &&
          conductingEquipment_ != null &&
          conductingEquipment_ != openfmb.commonmodule.ConductingEquipment.getDefaultInstance()) {
          getConductingEquipmentBuilder().mergeFrom(value);
        } else {
          conductingEquipment_ = value;
        }
      } else {
        conductingEquipmentBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000002;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearConductingEquipment() {
      bitField0_ = (bitField0_ & ~0x00000002);
      conductingEquipment_ = null;
      if (conductingEquipmentBuilder_ != null) {
        conductingEquipmentBuilder_.dispose();
        conductingEquipmentBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ConductingEquipment.Builder getConductingEquipmentBuilder() {
      bitField0_ |= 0x00000002;
      onChanged();
      return getConductingEquipmentFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.commonmodule.ConductingEquipmentOrBuilder getConductingEquipmentOrBuilder() {
      if (conductingEquipmentBuilder_ != null) {
        return conductingEquipmentBuilder_.getMessageOrBuilder();
      } else {
        return conductingEquipment_ == null ?
            openfmb.commonmodule.ConductingEquipment.getDefaultInstance() : conductingEquipment_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.commonmodule.ConductingEquipment conductingEquipment = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.commonmodule.ConductingEquipment, openfmb.commonmodule.ConductingEquipment.Builder, openfmb.commonmodule.ConductingEquipmentOrBuilder> 
        getConductingEquipmentFieldBuilder() {
      if (conductingEquipmentBuilder_ == null) {
        conductingEquipmentBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.commonmodule.ConductingEquipment, openfmb.commonmodule.ConductingEquipment.Builder, openfmb.commonmodule.ConductingEquipmentOrBuilder>(
                getConductingEquipment(),
                getParentForChildren(),
                isClean());
        conductingEquipment_ = null;
      }
      return conductingEquipmentBuilder_;
    }

    private openfmb.resourcemodule.ResourceEvent resourceEvent_;
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.resourcemodule.ResourceEvent, openfmb.resourcemodule.ResourceEvent.Builder, openfmb.resourcemodule.ResourceEventOrBuilder> resourceEventBuilder_;
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return Whether the resourceEvent field is set.
     */
    public boolean hasResourceEvent() {
      return ((bitField0_ & 0x00000004) != 0);
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     * @return The resourceEvent.
     */
    public openfmb.resourcemodule.ResourceEvent getResourceEvent() {
      if (resourceEventBuilder_ == null) {
        return resourceEvent_ == null ? openfmb.resourcemodule.ResourceEvent.getDefaultInstance() : resourceEvent_;
      } else {
        return resourceEventBuilder_.getMessage();
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setResourceEvent(openfmb.resourcemodule.ResourceEvent value) {
      if (resourceEventBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        resourceEvent_ = value;
      } else {
        resourceEventBuilder_.setMessage(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder setResourceEvent(
        openfmb.resourcemodule.ResourceEvent.Builder builderForValue) {
      if (resourceEventBuilder_ == null) {
        resourceEvent_ = builderForValue.build();
      } else {
        resourceEventBuilder_.setMessage(builderForValue.build());
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder mergeResourceEvent(openfmb.resourcemodule.ResourceEvent value) {
      if (resourceEventBuilder_ == null) {
        if (((bitField0_ & 0x00000004) != 0) &&
          resourceEvent_ != null &&
          resourceEvent_ != openfmb.resourcemodule.ResourceEvent.getDefaultInstance()) {
          getResourceEventBuilder().mergeFrom(value);
        } else {
          resourceEvent_ = value;
        }
      } else {
        resourceEventBuilder_.mergeFrom(value);
      }
      bitField0_ |= 0x00000004;
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public Builder clearResourceEvent() {
      bitField0_ = (bitField0_ & ~0x00000004);
      resourceEvent_ = null;
      if (resourceEventBuilder_ != null) {
        resourceEventBuilder_.dispose();
        resourceEventBuilder_ = null;
      }
      onChanged();
      return this;
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.resourcemodule.ResourceEvent.Builder getResourceEventBuilder() {
      bitField0_ |= 0x00000004;
      onChanged();
      return getResourceEventFieldBuilder().getBuilder();
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    public openfmb.resourcemodule.ResourceEventOrBuilder getResourceEventOrBuilder() {
      if (resourceEventBuilder_ != null) {
        return resourceEventBuilder_.getMessageOrBuilder();
      } else {
        return resourceEvent_ == null ?
            openfmb.resourcemodule.ResourceEvent.getDefaultInstance() : resourceEvent_;
      }
    }
    /**
     * <pre>
     * MISSING DOCUMENTATION!!!
     * </pre>
     *
     * <code>.resourcemodule.ResourceEvent resourceEvent = 3 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
     */
    private com.google.protobuf.SingleFieldBuilderV3<
        openfmb.resourcemodule.ResourceEvent, openfmb.resourcemodule.ResourceEvent.Builder, openfmb.resourcemodule.ResourceEventOrBuilder> 
        getResourceEventFieldBuilder() {
      if (resourceEventBuilder_ == null) {
        resourceEventBuilder_ = new com.google.protobuf.SingleFieldBuilderV3<
            openfmb.resourcemodule.ResourceEvent, openfmb.resourcemodule.ResourceEvent.Builder, openfmb.resourcemodule.ResourceEventOrBuilder>(
                getResourceEvent(),
                getParentForChildren(),
                isClean());
        resourceEvent_ = null;
      }
      return resourceEventBuilder_;
    }
    @java.lang.Override
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.setUnknownFields(unknownFields);
    }

    @java.lang.Override
    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return super.mergeUnknownFields(unknownFields);
    }


    // @@protoc_insertion_point(builder_scope:resourcemodule.ResourceEventProfile)
  }

  // @@protoc_insertion_point(class_scope:resourcemodule.ResourceEventProfile)
  private static final openfmb.resourcemodule.ResourceEventProfile DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new openfmb.resourcemodule.ResourceEventProfile();
  }

  public static openfmb.resourcemodule.ResourceEventProfile getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<ResourceEventProfile>
      PARSER = new com.google.protobuf.AbstractParser<ResourceEventProfile>() {
    @java.lang.Override
    public ResourceEventProfile parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      Builder builder = newBuilder();
      try {
        builder.mergeFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        throw e.setUnfinishedMessage(builder.buildPartial());
      } catch (com.google.protobuf.UninitializedMessageException e) {
        throw e.asInvalidProtocolBufferException().setUnfinishedMessage(builder.buildPartial());
      } catch (java.io.IOException e) {
        throw new com.google.protobuf.InvalidProtocolBufferException(e)
            .setUnfinishedMessage(builder.buildPartial());
      }
      return builder.buildPartial();
    }
  };

  public static com.google.protobuf.Parser<ResourceEventProfile> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<ResourceEventProfile> getParserForType() {
    return PARSER;
  }

  @java.lang.Override
  public openfmb.resourcemodule.ResourceEventProfile getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

